import unittest
import utils


class TestFibonacci(unittest.TestCase):
    def test_interpreter_fibonacci(self):
        self.fibonacci(utils.OPTIMIZATION_LEVEL_INTERPRETER)

    def test_baseline_jit_fibonacci(self):
        self.fibonacci(utils.OPTIMIZATION_LEVEL_BASELINE_JIT)

    def fibonacci(self, optimization_level):
        utils.write_perf_to_file(
            'fibonacci', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "fibonacci.alc", "primitives.alc", "jit.alc"],
                [20],
                optimization_level))
