import unittest
import utils


class TestMatrixCreate(unittest.TestCase):
    def test_interpreter_matrix_create(self):
        self.create_matrix(utils.OPTIMIZATION_LEVEL_INTERPRETER)

    def test_baseline_jit_matrix_create(self):
        self.create_matrix(utils.OPTIMIZATION_LEVEL_BASELINE_JIT)

    def create_matrix(self, optimization_level):
        utils.write_perf_to_file(
            'matrix_create', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "matrix.alc",
                 "matrix_create.alc", "primitives.alc",
                 "random.alc", "jit.alc"],
                [100],
                optimization_level))
